| DocBook: The Definitive Guide 2.0.17 (Alpha)

# caption

$Revision$

$Date$

caption — A caption

## Synopsis

### Mixed Content Model

    caption ::=
    (#PCDATA|calloutlist|glosslist|bibliolist|itemizedlist|
     orderedlist|segmentedlist|simplelist|variablelist|caution|
     important|note|tip|warning|literallayout|programlisting|
     programlistingco|screen|screenco|screenshot|formalpara|para|
     simpara|blockquote)*

### Attributes

Common attributes

Name | Type | Default
ondblclick | CDATA | None
onkeydown | CDATA | None
onkeyup | CDATA | None
onmouseup | CDATA | None
onmouseover | CDATA | None

align

Enumeration:
bottom
left
right
top

None

onkeypress | CDATA | None
onmousedown | CDATA | None
onclick | CDATA | None
title | CDATA | None
class | CDATA | None
style | CDATA | None
onmousemove | CDATA | None
onmouseout | CDATA | None
xml:lang | NMTOKEN | None

## Description

A `Caption` is an extended description of a `MediaObject`. Unlike a `TextObject`, which is an alternative to the other elements in the `MediaObject`, the `Caption` augments the object.

### Processing expectations

Formatted as a displayed block.

### Parents

These elements contain caption: `mediaobject`, `table`.

### Children

The following elements occur in caption: `bibliolist`, `blockquote`, `calloutlist`, `caution`, `formalpara`, `glosslist`, `important`, `itemizedlist`, `literallayout`, `note`, `orderedlist`, `para`, `programlisting`, `programlistingco`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `simpara`, `simplelist`, `tip`, `variablelist`, `warning`.

## See Also

`alt`, `audioobject`, `graphic`, `imageobject`, `inlinegraphic`, `inlinemediaobject`, `mediaobject`, `textobject`, `videoobject`.

## Examples

For examples, see `imageobject`, `informalfigure`.

calloutlist |  | caution

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.